<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" encoding="utf-8" indent="yes"/>
   <xsl:decimal-format name="european" decimal-separator="." grouping-separator=","/>
   <xsl:param name="mode"/>

	<xsl:template match="rapport">
		<xsl:if test="@view='pnbr_v_rap_sw_catalog' or @view='PNBR_V_RAP_SW_CATALOG'">
		  <xsl:element name="Facilitor">
		    <xsl:element name="Software">
		      <xsl:for-each select="rapport_data/data_row">
		        <xsl:element name="Item">
		          <xsl:element name="Key"><xsl:value-of select="INS_DEEL_KEY"/></xsl:element>
							<xsl:element name="Omschrijving"><xsl:value-of select="OMSCHRIJVING"/></xsl:element>
							<xsl:element name="Groep"><xsl:value-of select="GROEP"/></xsl:element>
							<xsl:element name="CodeApplicatie"><xsl:value-of select="CODE_APPLICATIE"/></xsl:element>
							<xsl:element name="LangeApplicatienaam"><xsl:value-of select="LANGE_APPLICATIENAAM"/></xsl:element>
							<xsl:element name="FunctioneleBeschrijving"><xsl:value-of select="FUNCTIONELE_BESCHRIJVING"/></xsl:element>
							<xsl:element name="VersieApplicatie"><xsl:value-of select="VERSIE_APPLICATIE"/></xsl:element>
							<xsl:element name="LocatieVanInstallatie"><xsl:value-of select="LOCATIE_VAN_INSTALLATIE"/></xsl:element>
							
							<xsl:element name="Categorie"><xsl:value-of select="CATEGORIE"/></xsl:element>
							<xsl:element name="Fabrikant"><xsl:value-of select="FABRIKANT"/></xsl:element>
							<xsl:element name="KoppelingenMetAndereApplicatie"><xsl:value-of select="KOPPELINGEN_MET"/></xsl:element>
							<xsl:element name="BeschrijvingRelatieMetAndereConfiguratieItems"><xsl:value-of select="BESCHRIJVING_RELATIE_MET"/></xsl:element>
							<xsl:element name="Applicatiebeheerder"><xsl:value-of select="APPLICATIEBEHEERDER"/></xsl:element>
							<xsl:element name="TechnischBeheerder"><xsl:value-of select="TECHNISCH_BEHEERDER"/></xsl:element>
							<xsl:element name="FunctioneelBeheerderAlt1"><xsl:value-of select="FUNCTIONEEL_BEHEERDER_ALT_1"/></xsl:element>
							<xsl:element name="FunctioneelBeheerderAlt2"><xsl:value-of select="FUNCTIONEEL_BEHEERDER_ALT_2"/></xsl:element>
							<xsl:element name="FunctioneelBeheerderAlt3"><xsl:value-of select="FUNCTIONEEL_BEHEERDER_ALT_3"/></xsl:element>
							<xsl:element name="EigenaarOrganisatieonderdeel"><xsl:value-of select="EIGENAAR_ORGANISATIEONDERDEEL"/></xsl:element>
							<xsl:element name="Bedrijfskritisch"><xsl:value-of select="BEDRIJFSKRITISCH"/></xsl:element>
							<xsl:element name="Dienstverleningsniveau"><xsl:value-of select="DIENSTVERLENINGSNIVEAU"/></xsl:element>
							<xsl:element name="StatusSoftware"><xsl:value-of select="STATUS_SOFTWARE"/></xsl:element>
							<xsl:element name="ContractBeschikbaar"><xsl:value-of select="CONTRACT_BESCHIKBAAR"/></xsl:element>
							<xsl:element name="LicentieBeschikbaar"><xsl:value-of select="LICENTIE_BESCHIKBAAR"/></xsl:element>
							<xsl:element name="IndicatieAantalGebruikers"><xsl:value-of select="INDICATIE_AANTAL_GEBRUIKERS"/></xsl:element>
							<xsl:element name="RelatieMetSNOW"><xsl:value-of select="RELATIE_MET_SNOW"/></xsl:element>
							<xsl:element name="BeschikbareDocumentatie"><xsl:value-of select="BESCHIKBARE_DOCUMENTATIE"/></xsl:element>
							<xsl:element name="LocatieDocumentatie"><xsl:value-of select="LOCATIE_DOCUMENTATIE"/></xsl:element>
							<xsl:element name="Notitie"><xsl:value-of select="NOTITIE"/></xsl:element>
							<xsl:element name="BevatDataMetBewaartermijn"><xsl:value-of select="BEVAT_DATA_MET_BEWAARTERMIJN"/></xsl:element>
							<xsl:element name="StartdatumGebruikApplicatie"><xsl:value-of select="STARTDATUM_GEBRUIK_APPLICATIE"/></xsl:element>
							<xsl:element name="EinddatumGebruikApplicatie"><xsl:value-of select="EINDDATUM_GEBRUIK_APPLICATIE"/></xsl:element>
									          
		        </xsl:element>
		      </xsl:for-each>
		    </xsl:element>
		  </xsl:element>
		</xsl:if>
  </xsl:template>


   <!-- Root -->
   <xsl:template match="facilitor">
     <xsl:apply-templates select="rapport"/>
   </xsl:template>

</xsl:stylesheet>